# Scenario Simulator

Source: https://docs.gocardless.com/docs/api-reference/scenario-simulator

## Simulate a scenario

`POST /scenario_simulators/{scenario_simulator_id}/actions/run`

Runs the specific scenario simulator against the specific resource

### Parameters

| Name | Location | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `scenario_simulator_id` | path | string | Yes | The scenario simulator id |

### Request body

Wrap request body attributes in a `scenario_simulators` object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `links` | object | No |  |

### Responses

| Status | Description |
| --- | --- |
| 200 | Action completed successfully |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |
